#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private OrderflowsPressure[] cacheOrderflowsPressure;

		
		public OrderflowsPressure OrderflowsPressure()
		{
			return OrderflowsPressure(Input);
		}


		
		public OrderflowsPressure OrderflowsPressure(ISeries<double> input)
		{
			if (cacheOrderflowsPressure != null)
				for (int idx = 0; idx < cacheOrderflowsPressure.Length; idx++)
					if ( cacheOrderflowsPressure[idx].EqualsInput(input))
						return cacheOrderflowsPressure[idx];
			return CacheIndicator<OrderflowsPressure>(new OrderflowsPressure(), input, ref cacheOrderflowsPressure);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.OrderflowsPressure OrderflowsPressure()
		{
			return indicator.OrderflowsPressure(Input);
		}


		
		public Indicators.OrderflowsPressure OrderflowsPressure(ISeries<double> input )
		{
			return indicator.OrderflowsPressure(input);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.OrderflowsPressure OrderflowsPressure()
		{
			return indicator.OrderflowsPressure(Input);
		}


		
		public Indicators.OrderflowsPressure OrderflowsPressure(ISeries<double> input )
		{
			return indicator.OrderflowsPressure(input);
		}

	}
}

#endregion
